=== gmp3/cxx/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

#noinst_LTLIBRARIES = libcxx.la

# osfuns.cc is handled from the top-level Makefile.am
libcxx_la_SOURCES = \
  isfuns.cc ismpf.cc ismpq.cc ismpz.cc \
  osdoprnti.cc osmpf.cc osmpq.cc osmpz.cc

subdir = cxx
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libcxx_la_LDFLAGS =
libcxx_la_LIBADD =
am_libcxx_la_OBJECTS = isfuns.lo ismpf.lo ismpq.lo ismpz.lo osdoprnti.lo \
	osmpf.lo osmpq.lo osmpz.lo
libcxx_la_OBJECTS = $(am_libcxx_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = 
DIST_SOURCES = $(libcxx_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libcxx_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  cxx/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libcxx.la: $(libcxx_la_OBJECTS) $(libcxx_la_DEPENDENCIES) 
	$(CXXLINK)  $(libcxx_la_LDFLAGS) $(libcxx_la_OBJECTS) $(libcxx_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.cc.o:
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cc.obj:
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cc.lo:
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic mostlyclean-kr \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-generic \
