=== gmp3/mpq/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1996, 1998, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libmpq.la
libmpq_la_SOURCES = \
  abs.c aors.c canonicalize.c clear.c					\
  cmp.c cmp_si.c cmp_ui.c div.c equal.c					\
  get_d.c get_den.c get_num.c get_str.c					\
  init.c inp_str.c inv.c md_2exp.c mul.c neg.c out_str.c		\
  set.c set_den.c set_num.c set_si.c set_str.c set_ui.c set_z.c set_d.c	\
  set_f.c swap.c

subdir = mpq
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libmpq_la_LDFLAGS =
libmpq_la_LIBADD =
am_libmpq_la_OBJECTS = abs$U.lo aors$U.lo canonicalize$U.lo clear$U.lo \
	cmp$U.lo cmp_si$U.lo cmp_ui$U.lo div$U.lo equal$U.lo get_d$U.lo \
	get_den$U.lo get_num$U.lo get_str$U.lo init$U.lo inp_str$U.lo \
	inv$U.lo md_2exp$U.lo mul$U.lo neg$U.lo out_str$U.lo set$U.lo \
	set_den$U.lo set_num$U.lo set_si$U.lo set_str$U.lo set_ui$U.lo \
	set_z$U.lo set_d$U.lo set_f$U.lo swap$U.lo
libmpq_la_OBJECTS = $(am_libmpq_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libmpq_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libmpq_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  mpq/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libmpq.la: $(libmpq_la_OBJECTS) $(libmpq_la_DEPENDENCIES) 
	$(LINK)  $(libmpq_la_LDFLAGS) $(libmpq_la_OBJECTS) $(libmpq_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
abs_.c: abs.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/abs.c; then echo $(srcdir)/abs.c; else echo abs.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > abs_.c || rm -f abs_.c
aors_.c: aors.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/aors.c; then echo $(srcdir)/aors.c; else echo aors.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > aors_.c || rm -f aors_.c
canonicalize_.c: canonicalize.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/canonicalize.c; then echo $(srcdir)/canonicalize.c; else echo canonicalize.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > canonicalize_.c || rm -f canonicalize_.c
clear_.c: clear.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/clear.c; then echo $(srcdir)/clear.c; else echo clear.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > clear_.c || rm -f clear_.c
cmp_.c: cmp.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp.c; then echo $(srcdir)/cmp.c; else echo cmp.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_.c || rm -f cmp_.c
cmp_si_.c: cmp_si.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp_si.c; then echo $(srcdir)/cmp_si.c; else echo cmp_si.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_si_.c || rm -f cmp_si_.c
cmp_ui_.c: cmp_ui.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp_ui.c; then echo $(srcdir)/cmp_ui.c; else echo cmp_ui.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_ui_.c || rm -f cmp_ui_.c
div_.c: div.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/div.c; then echo $(srcdir)/div.c; else echo div.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > div_.c || rm -f div_.c
equal_.c: equal.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/equal.c; then echo $(srcdir)/equal.c; else echo equal.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > equal_.c || rm -f equal_.c
get_d_.c: get_d.c $(ANSI2KNR)
