=== debian/changelog ===
gcl (2.6.0cvs-1) experimental; urgency=low

  * Experimental Debian distribution for CVS snapshots
  * Type-punning warning fixes
  * small_fixnum overflow fixes
  * off by one fix in cerror
  * reader enhancement to handle foo:(a b c)
  * preliminary defgeneric method support
  * Fix compiler error which had not recognized defpackage as a package
    operation
  * Fix tkl.lisp call to open-named-socket

 -- Camm Maguire <camm@enhanced.com>  Tue, 15 Jul 2003 13:41:33 -0400

gcl (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Restore object_to_float and object_to_double, cmpaux.c, Closes: #195470.
  * Remove obsolete functiion multiply-bignum-stack from documentation,
    si-defs.texi
  * Unstatic object_to_float, object_to_double

 -- Camm Maguire <camm@enhanced.com>  Tue, 15 Jul 2003 13:37:08 -0400

gcl (2.5.2-1) unstable; urgency=low

  * New upstream release
  * Cleanup xdrfuns.c for Axiom
  * Reenable xgcl build

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Mar 2003 09:15:54 -0500

gcl (2.5.1-1) unstable; urgency=high

  * some optimization now on hppa
  * Add RELEASE-2.5.1 file
  * Add dedication notice to the memory of W. Schelter

 -- Camm Maguire <camm@enhanced.com>  Sun,  2 Mar 2003 10:20:26 -0500

gcl (2.5.0.cvs20020625-80) unstable; urgency=low

  * enable japi configure flag, defaults to no
  * enable -mlongcall on ppc when using gcc 3.3 or higher
  * int -> fixnum in DEFUN function arguments for safety -- ensures
    pointers and integers passed by lisp are of same size
  * MYmake_fixnum macro simplification
  * ufixnum typedef
  * Prototypes for cmod et.al. -- restoring maxima build on ia64
  * Fix unaligned access message on ia64 generated by DFLT_aet_fix
  * Integer va_arg uses fixnum
  * Define __*i3 symbols used by GCL, supplied by libc, and written into
    some GCL compiled objects, restores ARM build with ANSI image
  * num_log.c miscompilation on ia64 apparently fixed, Closes: #156291
  * Ensure cmpinclude.h up to date in main makefile

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Mar 2003 17:33:29 -0500

gcl (2.5.0.cvs20020625-79) unstable; urgency=low

  * Fix Debian package install bug

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 23:17:55 -0500

gcl (2.5.0.cvs20020625-78) unstable; urgency=low

  * Add config.log config.status and config.cache to clean target
  * Remove xgcl-2/debian directory
  * Update clcs/sys-proclaim.lisp

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 18:48:38 -0500

gcl (2.5.0.cvs20020625-77) unstable; urgency=low

  * Lintian cleanups
  * Don't strip libansi_gcl.a, need .data at end of .o, as with libgcl.a
  * Take newlines out of doc string for init-cmp-anon
  * Cleanup gcc-3.2 compiler warning
  * 64 bit STREF fixes
  * pcl and clcs need to have C rebuilt afresh, as 64 bit machines write
    different STREF offsets into the C files
  * Rework Debian package build a bit
  * README.Debian explaining the toggling of the ANSI image
  * Typo in debian/rules
  * Remove debian/gcl.conffiles

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 15:56:11 -0500

gcl (2.5.0.cvs20020625-76) unstable; urgency=low

  * Debian Priority is optional
  * Configure lowest common denominator on m68k to m68020 -- gcc-3.2
    can't handle m68000 -- no __mulsi3
  * Fix bit array bug
  * Add upgraded-array-element-type
  * Misc typep and subtypep fixes
  * Proper error handling in certain array.c functions
  * First needs exactly one arg
  * Proper error handlin in LAST
  * bit array allocation fixes in num_log.c
  * eliminate Iapply_fun_n1
  * Dummy system find-class in traditional image, overwritten by pcl
    version in ANSI
  * Invalid variable is a program error, not a symbol is a type error
  * Attempt at uninterned symbol support as slot names
  * defstruct changes for ANSI conc-name handling
  * Rework ansi build to follow existing pattern for traditional image,
    enabling preliminary ansi support on dlopen systems
  * Fix broken mingw probe in main makefile
  * Rename pcl and clcs files to avoid init name conflict on dlopen
    systems
  * sys-proclaim for clcs
  * Compiler goto indentation
  * Compiler pointer cast in call_or_link_closure
  * *keep-gaz* compiler variable to save anonymously generated lisp
  * si::init-cmp-anon function to initialize anonymously generated and
    compiled lisp from .text section of running executable
  * Debian/rules builds and ships both images
  * Check for small fixnum in make_fixnum macro
  * Pass real integers to array functions to minimize fixnum garbage
  * Larger SHARP_EQ_CONTEXT_SIZE in read.d
  * Shadowing-import instead of import dummy symbols into common-lisp in
    ansi_cl.lisp
  * Rework object definition in makefiles
  * Remove old gmp directory
  * Remove old tests directory
  * Reinsert JAPI configuration
  * Spruce up clean target
  * Use saved_gcl to recompile cmpnew files
  * Toggle ansi image with GCL_ANSI environment variable
  * Version 2.5.1

 -- Camm Maguire <camm@enhanced.com>  Wed, 26 Feb 2003 21:31:04 -0500

gcl (2.5.0.cvs20020625-75) unstable; urgency=low

  * Export truename for dlopen systems

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 23:31:15 -0500

gcl (2.5.0.cvs20020625-74) unstable; urgency=low

  * Remove duplicates in apropos a la clisp
  * Use static where possible, remove unused functions, decrease global
    symbol count by about 1/3 (~ 600 global functions)
  * Inline optimize cmod,cplus,ctimes and cdifference like maxima
  * eliminate make-pure-array from lfun_list.lsp, not defined
  * Prototypes for all possible compiler generated function calls
  * relative symlink for cmpinclude.h in Debian package

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 20:17:31 -0500

gcl (2.5.0.cvs20020625-73) unstable; urgency=low

  * typep fixes for class types
  * m68k Build-depend on gcc-2.95 as a temporary work around to bug
    179807
  * gcc-3.2 warning cleanups
  * bfd_boolean syntax support for newer binutils

