=== debian/control ===
Source: gcl
Section: interpreters
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper ( >= 4.1.0 ), gcc-3.2 [ hppa ia64 arm ], emacsen, libreadline4-dev, m4, tk8.3-dev, tetex-bin, texinfo, binutils-dev, texi2html, autoconf, automake, gettext, libgmp3-dev, autotools-dev
Standards-Version: 3.5.8

Package: gcl
Architecture: any
Depends: ${shlibs:Depends}, ${gcc}
Suggests: gcl-doc
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gcl-doc package.

Package: gcl-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Description: Documentation for GNU Common Lisp
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains Documentation in info format of both the
 system internals, as well as the graphical interface currently
 implemented in Tcl/Tk.
